Bug 53463 - hibernate no longer works on Compaq 1800T
Summary: hibernate no longer works on Compaq 1800T
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-09 21:48 UTC by Scott Otterson
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Otterson 2001-09-09 21:48:55 UTC
In RH6.2, I was able to hibernate to disk by simply pushing the power off
button (how it works in Win2K as well).  However, after running the program
 to upgrade 6.2 to 7.1, the power button no longer suspends to disk. 
Clicking Fn-F4 still does a sleep to RAM, however.

Comment 1 Alan Cox 2003-06-07 17:16:23 UTC
Hibernate is BIOS dependant


Comment 2 Scott Otterson 2003-06-07 17:32:53 UTC
I don't understand why BIOS dependence matters. 

Lots of other things are also BIOS dependent and they are expected to work. 
Shouldn't the latest Linux be as functional as win2k (which does hibernate
correctly) or even as old versions of Linux (like 6.2, which also did hibernate
correctly)?

Comment 3 Alan Cox 2003-06-07 18:02:29 UTC
APM suspend is entirely handled by the BIOS. Linux has no influence on it.
Unfortunately some vendors test this suspend with only certain operating systems
so if the suspend fails with Linux they don't notice. The suspend/resume is
beyond our control if it does have problems.

Some things help with certain boxes
Switching from X to a text console before suspending
The current 2.4.20 based errata kernel (as it doesnt use the APIC which throws
some devices)




Note You need to log in before you can comment on or make changes to this bug.